## dbd 0.0-8

=== DESCRIPTION ===
Package: dbd
Version: 0.0-8
Date: 2021-04-30
Title: Versatile Discrete Distributions
Author: Rolf Turner <r.turner@auckland.ac.nz>
Maintainer: Rolf Turner <r.turner@auckland.ac.nz>
Description: Tools for working with a new family of versatile
	discrete distributions, the db ("discretised Beta") family.
	This package provides density (probability), distribution,
	inverse distribution (quantile) and random data generation
	functions for the db family.  It provides functions to effect
	conveniently maximum likelihood estimation of parameters,
	and a variety of useful plotting functions.  It provides
	goodness of fit tests and functions to calculate the Fisher
	information, different estimates of the hessian of the log
	likelihood and Monte Carlo estimation of the covariance
	matrix of the maximum likelihood parameter estimates.
Depends: R (>= 3.2.2)
Suggests: hmm.discnp, MASS
LazyData: true
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2021-04-30 01:59:58 UTC; rolf
Repository: CRAN
Date/Publication: 2021-04-30 12:50:03 UTC
