## dbd 0.0-21

=== DESCRIPTION ===
Package: dbd
Version: 0.0-21
Date: 2021-08-17
Title: Discretised Beta Distribution
Author: Rolf Turner <r.turner@auckland.ac.nz>
Maintainer: Rolf Turner <r.turner@auckland.ac.nz>
Description: Tools for working with a new versatile
	discrete distribution, the db ("discretised Beta")
	distribution.  This package provides density (probability),
	distribution, inverse distribution (quantile) and random
	data generation functions for the db family.  It provides
	functions to effect conveniently maximum likelihood
	estimation of parameters, and a variety of useful plotting
	functions.  It provides goodness of fit tests and functions
	to calculate the Fisher information, different estimates of
	the hessian of the log likelihood and Monte Carlo estimation
	of the covariance matrix of the maximum likelihood parameter
	estimates.  In addition it provides analogous tools for
	working with the beta-binomial distribution which has been
	proposed as a competitor to the db distribution.
Depends: R (>= 3.2.2)
Suggests: hmm.discnp, MASS, rmutil, spcadjust
LazyData: true
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2021-08-17 07:26:20 UTC; rolf
Repository: CRAN
Date/Publication: 2021-08-17 16:20:15 UTC
