## dbd 0.0-22

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dbd
-Version: 0.0-21
-Date: 2021-08-17
+Version: 0.0-22
+Date: 2021-08-19
 Title: Discretised Beta Distribution
 Author: Rolf Turner <r.turner@auckland.ac.nz>
 Maintainer: Rolf Turner <r.turner@auckland.ac.nz>
@@ -23,6 +23,6 @@
 LazyData: true
 License: GPL (>= 2)
 NeedsCompilation: no
-Packaged: 2021-08-17 07:26:20 UTC; rolf
+Packaged: 2021-08-19 05:10:08 UTC; rolf
 Repository: CRAN
-Date/Publication: 2021-08-17 16:20:15 UTC
+Date/Publication: 2021-08-19 13:40:05 UTC
