=== debian/changelog ===
dbd (1.50-1kali7) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, 
    Repository, Repository-Browse.
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.
  [ Ben Wilson ]
  * Remote template commet and switch spaces to tabs
  * Add Uploaders
  * Update email address
  [ Steev Klimaszewski ]
  * Update debian watch file
  * Add myself to uploaders
  * Add lintian overrides
  * Bump for updated Debian files

 -- Steev Klimaszewski <steev@kali.org>  Mon, 07 Nov 2022 15:01:12 -0600

dbd (1.50-1kali6) kali-dev; urgency=medium

  * override_dh_makeshlibs to fix build on armel and armhf

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Nov 2020 16:11:34 +0100

dbd (1.50-1kali5) kali-dev; urgency=medium

  * override_dh_dwz to fix build on armel and armhf

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Nov 2020 15:59:35 +0100

dbd (1.50-1kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0
  * Use version 4 in debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Nov 2020 15:49:59 +0100

dbd (1.50-1kali3) kali-dev; urgency=medium

  * Add to windows-resources

 -- Ben Wilson <g0tmi1k@kali.org>  Tue, 11 Jun 2019 18:27:20 +0100

dbd (1.50-1kali2) kali; urgency=low

  * Added watch file (Closes: 0000860)

 -- Devon Kearns <dookie@kali.org>  Mon, 06 Jan 2014 08:05:26 -0700

dbd (1.50-1kali1) kali; urgency=low

  * Revision bump to force a rebuild

 -- Devon Kearns <dookie@kali.org>  Wed, 29 May 2013 18:00:33 -0600

dbd (1.50-1kali0) kali; urgency=low

  * Imported new upstream release

 -- Devon Kearns <dookie@kali.org>  Wed, 29 May 2013 14:31:27 -0600

dbd (1.20-1kali2) kali; urgency=low

  * Work in progress

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 06:55:54 -0500

dbd (1.20-1kali1) kali; urgency=low

  * Initial release 

 -- dookie <dookie@kali.org>  Wed, 21 Nov 2012 18:19:28 -0700
