=== debian/control ===
Source: dbd
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Mati Aharoni <muts@kali.org>,
           Devon Kearns <dookie@kali.org>,
           Ben Wilson <g0tmi1k@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
           Steev Klimaszewski <steev@kali.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/gitdurandal/dbd
Vcs-Git: https://gitlab.com/kalilinux/packages/dbd.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/dbd

Package: dbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Netcat clone with encryption
 dbd is a Netcat-clone, designed to be portable and offer
 strong encryption. It runs on Unix-like operating systems
 and on Microsoft Win32. dbd features AES-CBC-128 +
 HMAC-SHA1 encryption (by Christophe Devine), program
 execution (-e option), choosing source port, continuous
 reconnection with delay, and some other nice features.
 dbd supports TCP/IP communication only. Source code and
 binaries are distributed under the GNU General Public
 License.
