=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	make unix

override_dh_strip:

override_dh_dwz:

override_dh_shlibdeps:

override_dh_makeshlibs:

override_dh_auto_install:
	install dbd $(CURDIR)/debian/dbd/usr/bin/
	install binaries/* $(CURDIR)/debian/dbd/usr/share/dbd/binaries/
