=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dbd-$1.tar.gz%" \
   https://github.com/gitdurandal/dbd/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
